Subject: [IPFIX] Sampler Info IE

From: Sujay Gupta <[email-masked]>
Date: Tue, 8 Sep 2009 10:16:26 +0530

Hi Group,

Do we have a Sampler Config Info IE, in RFC 5102? Where I would like to send the sampler algorithm type/ rate etc.?

TIA,
-Sujay

---

From: Gerhard Muenz <[email-masked]>
Date: Tue, 08 Sep 2009 10:32:12 +0200

Hi,

The reporting of selector parameters and statistics using Options is 
specified in the PSAMP protocol. See:
http://tools.ietf.org/html/rfc5476#section-6.5

Regards,
Gerhard

Sujay Gupta wrote:
> Hi Group,
> 
>  
> 
> Do we have a Sampler Config Info IE, in RFC 5102? Where I would like to 
> send the sampler algorithm type/ rate etc.?
> 
>  
> 
> TIA,
> 
> -Sujay
> 
> 
> ------------------------------------------------------------------------
> 
> _______________________________________________
> IPFIX mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ipfix

-- 
Dipl.-Ing. Gerhard Münz
Chair for Network Architectures and Services (I8)
Technische Universität München - Department of Informatics
Boltzmannstr. 3, 85748 Garching bei München, Germany
Phone:  +49 89 289-18008       Fax: +49 89 289-18033
E-mail: [email-masked]    WWW: http://www.net.in.tum.de/~muenz

---

From: Sujay Gupta <[email-masked]>
Date: Tue, 8 Sep 2009 17:10:05 +0530

Thanks Gerhard,

So is there a reason why we don't refer to these elements in the IPFIX RFC?
Do I have to read both the specs, to filter out all what's possible?

BR,
-Sujay

-----Original Message-----
From: Gerhard Muenz [mailto:[email-masked]] 
Sent: Tuesday, September 08, 2009 2:02 PM
To: Sujay Gupta
Cc: [email-masked]
Subject: Re: [IPFIX] Sampler Info IE

Hi,

Regards,
Gerhard

---

From: Brian Trammell <[email-masked]>
Date: Tue, 8 Sep 2009 13:58:00 +0200

hi, Sujay,

When looking for an information element for a given task, the primary  
reference is the IANA registry, http://www.iana.org/assignments/ 
ipfix/; you can then have a look at the referenced RFCs for more  
details. 5102 is not intended as a complete reference to all IPFIX  
IEs, just the "core", as IPFIX was designed to be extensible.  
Additional IEs have to date been added by other RFCs: 5103, 5477,  
5610; drafts: RFC-to-be-ipfix-file; as well as directly by Cisco. This  
list is likely to grow in the future, as well.

Hope this helps, best regards,

Brian

---

From: Sujay Gupta <[email-masked]>
Date: Tue, 8 Sep 2009 17:44:33 +0530

Thanks that was useful.

(It would be nice to have this info added in the Introduction section(or Section 7.1,'IANA considerations') of RFC5102.)

BR,
-Sujay

-----Original Message-----
From: Brian Trammell [mailto:[email-masked]] 
Sent: Tuesday, September 08, 2009 5:28 PM
To: Sujay Gupta
Cc: Gerhard Muenz; [email-masked]
Subject: Re: [IPFIX] Sampler Info IE

hi, Sujay,

Brian

>> send the sampler algorithm type/ rate etc.?

**************** CAUTION - Disclaimer *****************
This e-mail contains PRIVILEGED AND CONFIDENTIAL INFORMATION intended solely 
for the use of the addressee(s). If you are not the intended recipient, please 
notify the sender by e-mail and delete the original message. Further, you are not 
to copy, disclose, or distribute this e-mail or its contents to any other person and 
any such actions are unlawful. This e-mail may contain viruses. Infosys has taken 
every reasonable precaution to minimize this risk, but is not liable for any damage 
you may sustain as a result of any virus in this e-mail. You should carry out your 
own virus checks before opening the e-mail or attachment. Infosys reserves the 
right to monitor and review the content of all messages sent to or from this e-mail 
address. Messages sent to or from this e-mail address may be stored on the 
Infosys e-mail system.
***INFOSYS******** End of Disclaimer ********INFOSYS***

---

From: Gerhard Muenz <[email-masked]>
Date: Tue, 08 Sep 2009 14:26:45 +0200

Sujay,

For newbies, the scattering of IPFIX/PSAMP information in various RFCs 
may appear arbitrary. However, the historical reason is that IPFIX and 
PSAMP were separate working groups. As a result, IPFIX did not specify 
anything which was related to packet selection. This work was left to 
PSAMP. Now, the PSAMP working group has been closed, which means that 
future work on sampling and filtering will be conducted under the 
umbrella of the IPFIX working group.

As Brian told you, all standard IEs can be found in the IANA registry. 
The usage of IEs in specific reports (i.e., Options), however, is 
explained in the corresponding RFCs.

Regards,
Gerhard